from .error import Error
from .ok import Ok
from .tdlib_parameters import TdlibParameters
from .authentication_code_type_telegram_message import AuthenticationCodeTypeTelegramMessage
from .authentication_code_type_sms import AuthenticationCodeTypeSms
from .authentication_code_type_call import AuthenticationCodeTypeCall
from .authentication_code_type_flash_call import AuthenticationCodeTypeFlashCall
from .authentication_code_info import AuthenticationCodeInfo
from .email_address_authentication_code_info import EmailAddressAuthenticationCodeInfo
from .text_entity import TextEntity
from .text_entities import TextEntities
from .formatted_text import FormattedText
from .terms_of_service import TermsOfService
from .authorization_state_wait_tdlib_parameters import AuthorizationStateWaitTdlibParameters
from .authorization_state_wait_encryption_key import AuthorizationStateWaitEncryptionKey
from .authorization_state_wait_phone_number import AuthorizationStateWaitPhoneNumber
from .authorization_state_wait_code import AuthorizationStateWaitCode
from .authorization_state_wait_other_device_confirmation import AuthorizationStateWaitOtherDeviceConfirmation
from .authorization_state_wait_registration import AuthorizationStateWaitRegistration
from .authorization_state_wait_password import AuthorizationStateWaitPassword
from .authorization_state_ready import AuthorizationStateReady
from .authorization_state_logging_out import AuthorizationStateLoggingOut
from .authorization_state_closing import AuthorizationStateClosing
from .authorization_state_closed import AuthorizationStateClosed
from .password_state import PasswordState
from .recovery_email_address import RecoveryEmailAddress
from .temporary_password_state import TemporaryPasswordState
from .local_file import LocalFile
from .remote_file import RemoteFile
from .file import File
from .input_file_id import InputFileId
from .input_file_remote import InputFileRemote
from .input_file_local import InputFileLocal
from .input_file_generated import InputFileGenerated
from .photo_size import PhotoSize
from .minithumbnail import Minithumbnail
from .mask_point_forehead import MaskPointForehead
from .mask_point_eyes import MaskPointEyes
from .mask_point_mouth import MaskPointMouth
from .mask_point_chin import MaskPointChin
from .mask_position import MaskPosition
from .poll_option import PollOption
from .poll_type_regular import PollTypeRegular
from .poll_type_quiz import PollTypeQuiz
from .animation import Animation
from .audio import Audio
from .document import Document
from .photo import Photo
from .sticker import Sticker
from .video import Video
from .video_note import VideoNote
from .voice_note import VoiceNote
from .contact import Contact
from .location import Location
from .venue import Venue
from .game import Game
from .poll import Poll
from .profile_photo import ProfilePhoto
from .chat_photo import ChatPhoto
from .user_type_regular import UserTypeRegular
from .user_type_deleted import UserTypeDeleted
from .user_type_bot import UserTypeBot
from .user_type_unknown import UserTypeUnknown
from .bot_command import BotCommand
from .bot_info import BotInfo
from .chat_location import ChatLocation
from .user import User
from .user_full_info import UserFullInfo
from .user_profile_photo import UserProfilePhoto
from .user_profile_photos import UserProfilePhotos
from .users import Users
from .chat_administrator import ChatAdministrator
from .chat_administrators import ChatAdministrators
from .chat_permissions import ChatPermissions
from .chat_member_status_creator import ChatMemberStatusCreator
from .chat_member_status_administrator import ChatMemberStatusAdministrator
from .chat_member_status_member import ChatMemberStatusMember
from .chat_member_status_restricted import ChatMemberStatusRestricted
from .chat_member_status_left import ChatMemberStatusLeft
from .chat_member_status_banned import ChatMemberStatusBanned
from .chat_member import ChatMember
from .chat_members import ChatMembers
from .chat_members_filter_contacts import ChatMembersFilterContacts
from .chat_members_filter_administrators import ChatMembersFilterAdministrators
from .chat_members_filter_members import ChatMembersFilterMembers
from .chat_members_filter_restricted import ChatMembersFilterRestricted
from .chat_members_filter_banned import ChatMembersFilterBanned
from .chat_members_filter_bots import ChatMembersFilterBots
from .supergroup_members_filter_recent import SupergroupMembersFilterRecent
from .supergroup_members_filter_contacts import SupergroupMembersFilterContacts
from .supergroup_members_filter_administrators import SupergroupMembersFilterAdministrators
from .supergroup_members_filter_search import SupergroupMembersFilterSearch
from .supergroup_members_filter_restricted import SupergroupMembersFilterRestricted
from .supergroup_members_filter_banned import SupergroupMembersFilterBanned
from .supergroup_members_filter_bots import SupergroupMembersFilterBots
from .basic_group import BasicGroup
from .basic_group_full_info import BasicGroupFullInfo
from .supergroup import Supergroup
from .supergroup_full_info import SupergroupFullInfo
from .secret_chat_state_pending import SecretChatStatePending
from .secret_chat_state_ready import SecretChatStateReady
from .secret_chat_state_closed import SecretChatStateClosed
from .secret_chat import SecretChat
from .message_forward_origin_user import MessageForwardOriginUser
from .message_forward_origin_hidden_user import MessageForwardOriginHiddenUser
from .message_forward_origin_channel import MessageForwardOriginChannel
from .message_forward_info import MessageForwardInfo
from .message_sending_state_pending import MessageSendingStatePending
from .message_sending_state_failed import MessageSendingStateFailed
from .message import Message
from .messages import Messages
from .found_messages import FoundMessages
from .notification_settings_scope_private_chats import NotificationSettingsScopePrivateChats
from .notification_settings_scope_group_chats import NotificationSettingsScopeGroupChats
from .notification_settings_scope_channel_chats import NotificationSettingsScopeChannelChats
from .chat_notification_settings import ChatNotificationSettings
from .scope_notification_settings import ScopeNotificationSettings
from .draft_message import DraftMessage
from .chat_type_private import ChatTypePrivate
from .chat_type_basic_group import ChatTypeBasicGroup
from .chat_type_supergroup import ChatTypeSupergroup
from .chat_type_secret import ChatTypeSecret
from .chat_list_main import ChatListMain
from .chat_list_archive import ChatListArchive
from .chat import Chat
from .chats import Chats
from .chat_nearby import ChatNearby
from .chats_nearby import ChatsNearby
from .chat_invite_link import ChatInviteLink
from .chat_invite_link_info import ChatInviteLinkInfo
from .public_chat_type_has_username import PublicChatTypeHasUsername
from .public_chat_type_is_location_based import PublicChatTypeIsLocationBased
from .chat_action_bar_report_spam import ChatActionBarReportSpam
from .chat_action_bar_report_unrelated_location import ChatActionBarReportUnrelatedLocation
from .chat_action_bar_report_add_block import ChatActionBarReportAddBlock
from .chat_action_bar_add_contact import ChatActionBarAddContact
from .chat_action_bar_share_phone_number import ChatActionBarSharePhoneNumber
from .keyboard_button_type_text import KeyboardButtonTypeText
from .keyboard_button_type_request_phone_number import KeyboardButtonTypeRequestPhoneNumber
from .keyboard_button_type_request_location import KeyboardButtonTypeRequestLocation
from .keyboard_button_type_request_poll import KeyboardButtonTypeRequestPoll
from .keyboard_button import KeyboardButton
from .inline_keyboard_button_type_url import InlineKeyboardButtonTypeUrl
from .inline_keyboard_button_type_login_url import InlineKeyboardButtonTypeLoginUrl
from .inline_keyboard_button_type_callback import InlineKeyboardButtonTypeCallback
from .inline_keyboard_button_type_callback_game import InlineKeyboardButtonTypeCallbackGame
from .inline_keyboard_button_type_switch_inline import InlineKeyboardButtonTypeSwitchInline
from .inline_keyboard_button_type_buy import InlineKeyboardButtonTypeBuy
from .inline_keyboard_button import InlineKeyboardButton
from .reply_markup_remove_keyboard import ReplyMarkupRemoveKeyboard
from .reply_markup_force_reply import ReplyMarkupForceReply
from .reply_markup_show_keyboard import ReplyMarkupShowKeyboard
from .reply_markup_inline_keyboard import ReplyMarkupInlineKeyboard
from .login_url_info_open import LoginUrlInfoOpen
from .login_url_info_request_confirmation import LoginUrlInfoRequestConfirmation
from .rich_text_plain import RichTextPlain
from .rich_text_bold import RichTextBold
from .rich_text_italic import RichTextItalic
from .rich_text_underline import RichTextUnderline
from .rich_text_strikethrough import RichTextStrikethrough
from .rich_text_fixed import RichTextFixed
from .rich_text_url import RichTextUrl
from .rich_text_email_address import RichTextEmailAddress
from .rich_text_subscript import RichTextSubscript
from .rich_text_superscript import RichTextSuperscript
from .rich_text_marked import RichTextMarked
from .rich_text_phone_number import RichTextPhoneNumber
from .rich_text_icon import RichTextIcon
from .rich_text_reference import RichTextReference
from .rich_text_anchor import RichTextAnchor
from .rich_text_anchor_link import RichTextAnchorLink
from .rich_texts import RichTexts
from .page_block_caption import PageBlockCaption
from .page_block_list_item import PageBlockListItem
from .page_block_horizontal_alignment_left import PageBlockHorizontalAlignmentLeft
from .page_block_horizontal_alignment_center import PageBlockHorizontalAlignmentCenter
from .page_block_horizontal_alignment_right import PageBlockHorizontalAlignmentRight
from .page_block_vertical_alignment_top import PageBlockVerticalAlignmentTop
from .page_block_vertical_alignment_middle import PageBlockVerticalAlignmentMiddle
from .page_block_vertical_alignment_bottom import PageBlockVerticalAlignmentBottom
from .page_block_table_cell import PageBlockTableCell
from .page_block_related_article import PageBlockRelatedArticle
from .page_block_title import PageBlockTitle
from .page_block_subtitle import PageBlockSubtitle
from .page_block_author_date import PageBlockAuthorDate
from .page_block_header import PageBlockHeader
from .page_block_subheader import PageBlockSubheader
from .page_block_kicker import PageBlockKicker
from .page_block_paragraph import PageBlockParagraph
from .page_block_preformatted import PageBlockPreformatted
from .page_block_footer import PageBlockFooter
from .page_block_divider import PageBlockDivider
from .page_block_anchor import PageBlockAnchor
from .page_block_list import PageBlockList
from .page_block_block_quote import PageBlockBlockQuote
from .page_block_pull_quote import PageBlockPullQuote
from .page_block_animation import PageBlockAnimation
from .page_block_audio import PageBlockAudio
from .page_block_photo import PageBlockPhoto
from .page_block_video import PageBlockVideo
from .page_block_voice_note import PageBlockVoiceNote
from .page_block_cover import PageBlockCover
from .page_block_embedded import PageBlockEmbedded
from .page_block_embedded_post import PageBlockEmbeddedPost
from .page_block_collage import PageBlockCollage
from .page_block_slideshow import PageBlockSlideshow
from .page_block_chat_link import PageBlockChatLink
from .page_block_table import PageBlockTable
from .page_block_details import PageBlockDetails
from .page_block_related_articles import PageBlockRelatedArticles
from .page_block_map import PageBlockMap
from .web_page_instant_view import WebPageInstantView
from .web_page import WebPage
from .bank_card_action_open_url import BankCardActionOpenUrl
from .bank_card_info import BankCardInfo
from .address import Address
from .labeled_price_part import LabeledPricePart
from .invoice import Invoice
from .order_info import OrderInfo
from .shipping_option import ShippingOption
from .saved_credentials import SavedCredentials
from .input_credentials_saved import InputCredentialsSaved
from .input_credentials_new import InputCredentialsNew
from .input_credentials_android_pay import InputCredentialsAndroidPay
from .input_credentials_apple_pay import InputCredentialsApplePay
from .payments_provider_stripe import PaymentsProviderStripe
from .payment_form import PaymentForm
from .validated_order_info import ValidatedOrderInfo
from .payment_result import PaymentResult
from .payment_receipt import PaymentReceipt
from .dated_file import DatedFile
from .passport_element_type_personal_details import PassportElementTypePersonalDetails
from .passport_element_type_passport import PassportElementTypePassport
from .passport_element_type_driver_license import PassportElementTypeDriverLicense
from .passport_element_type_identity_card import PassportElementTypeIdentityCard
from .passport_element_type_internal_passport import PassportElementTypeInternalPassport
from .passport_element_type_address import PassportElementTypeAddress
from .passport_element_type_utility_bill import PassportElementTypeUtilityBill
from .passport_element_type_bank_statement import PassportElementTypeBankStatement
from .passport_element_type_rental_agreement import PassportElementTypeRentalAgreement
from .passport_element_type_passport_registration import PassportElementTypePassportRegistration
from .passport_element_type_temporary_registration import PassportElementTypeTemporaryRegistration
from .passport_element_type_phone_number import PassportElementTypePhoneNumber
from .passport_element_type_email_address import PassportElementTypeEmailAddress
from .date import Date
from .personal_details import PersonalDetails
from .identity_document import IdentityDocument
from .input_identity_document import InputIdentityDocument
from .personal_document import PersonalDocument
from .input_personal_document import InputPersonalDocument
from .passport_element_personal_details import PassportElementPersonalDetails
from .passport_element_passport import PassportElementPassport
from .passport_element_driver_license import PassportElementDriverLicense
from .passport_element_identity_card import PassportElementIdentityCard
from .passport_element_internal_passport import PassportElementInternalPassport
from .passport_element_address import PassportElementAddress
from .passport_element_utility_bill import PassportElementUtilityBill
from .passport_element_bank_statement import PassportElementBankStatement
from .passport_element_rental_agreement import PassportElementRentalAgreement
from .passport_element_passport_registration import PassportElementPassportRegistration
from .passport_element_temporary_registration import PassportElementTemporaryRegistration
from .passport_element_phone_number import PassportElementPhoneNumber
from .passport_element_email_address import PassportElementEmailAddress
from .input_passport_element_personal_details import InputPassportElementPersonalDetails
from .input_passport_element_passport import InputPassportElementPassport
from .input_passport_element_driver_license import InputPassportElementDriverLicense
from .input_passport_element_identity_card import InputPassportElementIdentityCard
from .input_passport_element_internal_passport import InputPassportElementInternalPassport
from .input_passport_element_address import InputPassportElementAddress
from .input_passport_element_utility_bill import InputPassportElementUtilityBill
from .input_passport_element_bank_statement import InputPassportElementBankStatement
from .input_passport_element_rental_agreement import InputPassportElementRentalAgreement
from .input_passport_element_passport_registration import InputPassportElementPassportRegistration
from .input_passport_element_temporary_registration import InputPassportElementTemporaryRegistration
from .input_passport_element_phone_number import InputPassportElementPhoneNumber
from .input_passport_element_email_address import InputPassportElementEmailAddress
from .passport_elements import PassportElements
from .passport_element_error_source_unspecified import PassportElementErrorSourceUnspecified
from .passport_element_error_source_data_field import PassportElementErrorSourceDataField
from .passport_element_error_source_front_side import PassportElementErrorSourceFrontSide
from .passport_element_error_source_reverse_side import PassportElementErrorSourceReverseSide
from .passport_element_error_source_selfie import PassportElementErrorSourceSelfie
from .passport_element_error_source_translation_file import PassportElementErrorSourceTranslationFile
from .passport_element_error_source_translation_files import PassportElementErrorSourceTranslationFiles
from .passport_element_error_source_file import PassportElementErrorSourceFile
from .passport_element_error_source_files import PassportElementErrorSourceFiles
from .passport_element_error import PassportElementError
from .passport_suitable_element import PassportSuitableElement
from .passport_required_element import PassportRequiredElement
from .passport_authorization_form import PassportAuthorizationForm
from .passport_elements_with_errors import PassportElementsWithErrors
from .encrypted_credentials import EncryptedCredentials
from .encrypted_passport_element import EncryptedPassportElement
from .input_passport_element_error_source_unspecified import InputPassportElementErrorSourceUnspecified
from .input_passport_element_error_source_data_field import InputPassportElementErrorSourceDataField
from .input_passport_element_error_source_front_side import InputPassportElementErrorSourceFrontSide
from .input_passport_element_error_source_reverse_side import InputPassportElementErrorSourceReverseSide
from .input_passport_element_error_source_selfie import InputPassportElementErrorSourceSelfie
from .input_passport_element_error_source_translation_file import InputPassportElementErrorSourceTranslationFile
from .input_passport_element_error_source_translation_files import InputPassportElementErrorSourceTranslationFiles
from .input_passport_element_error_source_file import InputPassportElementErrorSourceFile
from .input_passport_element_error_source_files import InputPassportElementErrorSourceFiles
from .input_passport_element_error import InputPassportElementError
from .message_text import MessageText
from .message_animation import MessageAnimation
from .message_audio import MessageAudio
from .message_document import MessageDocument
from .message_photo import MessagePhoto
from .message_expired_photo import MessageExpiredPhoto
from .message_sticker import MessageSticker
from .message_video import MessageVideo
from .message_expired_video import MessageExpiredVideo
from .message_video_note import MessageVideoNote
from .message_voice_note import MessageVoiceNote
from .message_location import MessageLocation
from .message_venue import MessageVenue
from .message_contact import MessageContact
from .message_dice import MessageDice
from .message_game import MessageGame
from .message_poll import MessagePoll
from .message_invoice import MessageInvoice
from .message_call import MessageCall
from .message_basic_group_chat_create import MessageBasicGroupChatCreate
from .message_supergroup_chat_create import MessageSupergroupChatCreate
from .message_chat_change_title import MessageChatChangeTitle
from .message_chat_change_photo import MessageChatChangePhoto
from .message_chat_delete_photo import MessageChatDeletePhoto
from .message_chat_add_members import MessageChatAddMembers
from .message_chat_join_by_link import MessageChatJoinByLink
from .message_chat_delete_member import MessageChatDeleteMember
from .message_chat_upgrade_to import MessageChatUpgradeTo
from .message_chat_upgrade_from import MessageChatUpgradeFrom
from .message_pin_message import MessagePinMessage
from .message_screenshot_taken import MessageScreenshotTaken
from .message_chat_set_ttl import MessageChatSetTtl
from .message_custom_service_action import MessageCustomServiceAction
from .message_game_score import MessageGameScore
from .message_payment_successful import MessagePaymentSuccessful
from .message_payment_successful_bot import MessagePaymentSuccessfulBot
from .message_contact_registered import MessageContactRegistered
from .message_website_connected import MessageWebsiteConnected
from .message_passport_data_sent import MessagePassportDataSent
from .message_passport_data_received import MessagePassportDataReceived
from .message_unsupported import MessageUnsupported
from .text_entity_type_mention import TextEntityTypeMention
from .text_entity_type_hashtag import TextEntityTypeHashtag
from .text_entity_type_cashtag import TextEntityTypeCashtag
from .text_entity_type_bot_command import TextEntityTypeBotCommand
from .text_entity_type_url import TextEntityTypeUrl
from .text_entity_type_email_address import TextEntityTypeEmailAddress
from .text_entity_type_phone_number import TextEntityTypePhoneNumber
from .text_entity_type_bank_card_number import TextEntityTypeBankCardNumber
from .text_entity_type_bold import TextEntityTypeBold
from .text_entity_type_italic import TextEntityTypeItalic
from .text_entity_type_underline import TextEntityTypeUnderline
from .text_entity_type_strikethrough import TextEntityTypeStrikethrough
from .text_entity_type_code import TextEntityTypeCode
from .text_entity_type_pre import TextEntityTypePre
from .text_entity_type_pre_code import TextEntityTypePreCode
from .text_entity_type_text_url import TextEntityTypeTextUrl
from .text_entity_type_mention_name import TextEntityTypeMentionName
from .input_thumbnail import InputThumbnail
from .message_scheduling_state_send_at_date import MessageSchedulingStateSendAtDate
from .message_scheduling_state_send_when_online import MessageSchedulingStateSendWhenOnline
from .send_message_options import SendMessageOptions
from .input_message_text import InputMessageText
from .input_message_animation import InputMessageAnimation
from .input_message_audio import InputMessageAudio
from .input_message_document import InputMessageDocument
from .input_message_photo import InputMessagePhoto
from .input_message_sticker import InputMessageSticker
from .input_message_video import InputMessageVideo
from .input_message_video_note import InputMessageVideoNote
from .input_message_voice_note import InputMessageVoiceNote
from .input_message_location import InputMessageLocation
from .input_message_venue import InputMessageVenue
from .input_message_contact import InputMessageContact
from .input_message_dice import InputMessageDice
from .input_message_game import InputMessageGame
from .input_message_invoice import InputMessageInvoice
from .input_message_poll import InputMessagePoll
from .input_message_forwarded import InputMessageForwarded
from .search_messages_filter_empty import SearchMessagesFilterEmpty
from .search_messages_filter_animation import SearchMessagesFilterAnimation
from .search_messages_filter_audio import SearchMessagesFilterAudio
from .search_messages_filter_document import SearchMessagesFilterDocument
from .search_messages_filter_photo import SearchMessagesFilterPhoto
from .search_messages_filter_video import SearchMessagesFilterVideo
from .search_messages_filter_voice_note import SearchMessagesFilterVoiceNote
from .search_messages_filter_photo_and_video import SearchMessagesFilterPhotoAndVideo
from .search_messages_filter_url import SearchMessagesFilterUrl
from .search_messages_filter_chat_photo import SearchMessagesFilterChatPhoto
from .search_messages_filter_call import SearchMessagesFilterCall
from .search_messages_filter_missed_call import SearchMessagesFilterMissedCall
from .search_messages_filter_video_note import SearchMessagesFilterVideoNote
from .search_messages_filter_voice_and_video_note import SearchMessagesFilterVoiceAndVideoNote
from .search_messages_filter_mention import SearchMessagesFilterMention
from .search_messages_filter_unread_mention import SearchMessagesFilterUnreadMention
from .chat_action_typing import ChatActionTyping
from .chat_action_recording_video import ChatActionRecordingVideo
from .chat_action_uploading_video import ChatActionUploadingVideo
from .chat_action_recording_voice_note import ChatActionRecordingVoiceNote
from .chat_action_uploading_voice_note import ChatActionUploadingVoiceNote
from .chat_action_uploading_photo import ChatActionUploadingPhoto
from .chat_action_uploading_document import ChatActionUploadingDocument
from .chat_action_choosing_location import ChatActionChoosingLocation
from .chat_action_choosing_contact import ChatActionChoosingContact
from .chat_action_start_playing_game import ChatActionStartPlayingGame
from .chat_action_recording_video_note import ChatActionRecordingVideoNote
from .chat_action_uploading_video_note import ChatActionUploadingVideoNote
from .chat_action_cancel import ChatActionCancel
from .user_status_empty import UserStatusEmpty
from .user_status_online import UserStatusOnline
from .user_status_offline import UserStatusOffline
from .user_status_recently import UserStatusRecently
from .user_status_last_week import UserStatusLastWeek
from .user_status_last_month import UserStatusLastMonth
from .stickers import Stickers
from .emojis import Emojis
from .sticker_set import StickerSet
from .sticker_set_info import StickerSetInfo
from .sticker_sets import StickerSets
from .call_discard_reason_empty import CallDiscardReasonEmpty
from .call_discard_reason_missed import CallDiscardReasonMissed
from .call_discard_reason_declined import CallDiscardReasonDeclined
from .call_discard_reason_disconnected import CallDiscardReasonDisconnected
from .call_discard_reason_hung_up import CallDiscardReasonHungUp
from .call_protocol import CallProtocol
from .call_connection import CallConnection
from .call_id import CallId
from .call_state_pending import CallStatePending
from .call_state_exchanging_keys import CallStateExchangingKeys
from .call_state_ready import CallStateReady
from .call_state_hanging_up import CallStateHangingUp
from .call_state_discarded import CallStateDiscarded
from .call_state_error import CallStateError
from .call_problem_echo import CallProblemEcho
from .call_problem_noise import CallProblemNoise
from .call_problem_interruptions import CallProblemInterruptions
from .call_problem_distorted_speech import CallProblemDistortedSpeech
from .call_problem_silent_local import CallProblemSilentLocal
from .call_problem_silent_remote import CallProblemSilentRemote
from .call_problem_dropped import CallProblemDropped
from .call import Call
from .phone_number_authentication_settings import PhoneNumberAuthenticationSettings
from .animations import Animations
from .imported_contacts import ImportedContacts
from .http_url import HttpUrl
from .input_inline_query_result_animated_gif import InputInlineQueryResultAnimatedGif
from .input_inline_query_result_animated_mpeg4 import InputInlineQueryResultAnimatedMpeg4
from .input_inline_query_result_article import InputInlineQueryResultArticle
from .input_inline_query_result_audio import InputInlineQueryResultAudio
from .input_inline_query_result_contact import InputInlineQueryResultContact
from .input_inline_query_result_document import InputInlineQueryResultDocument
from .input_inline_query_result_game import InputInlineQueryResultGame
from .input_inline_query_result_location import InputInlineQueryResultLocation
from .input_inline_query_result_photo import InputInlineQueryResultPhoto
from .input_inline_query_result_sticker import InputInlineQueryResultSticker
from .input_inline_query_result_venue import InputInlineQueryResultVenue
from .input_inline_query_result_video import InputInlineQueryResultVideo
from .input_inline_query_result_voice_note import InputInlineQueryResultVoiceNote
from .inline_query_result_article import InlineQueryResultArticle
from .inline_query_result_contact import InlineQueryResultContact
from .inline_query_result_location import InlineQueryResultLocation
from .inline_query_result_venue import InlineQueryResultVenue
from .inline_query_result_game import InlineQueryResultGame
from .inline_query_result_animation import InlineQueryResultAnimation
from .inline_query_result_audio import InlineQueryResultAudio
from .inline_query_result_document import InlineQueryResultDocument
from .inline_query_result_photo import InlineQueryResultPhoto
from .inline_query_result_sticker import InlineQueryResultSticker
from .inline_query_result_video import InlineQueryResultVideo
from .inline_query_result_voice_note import InlineQueryResultVoiceNote
from .inline_query_results import InlineQueryResults
from .callback_query_payload_data import CallbackQueryPayloadData
from .callback_query_payload_game import CallbackQueryPayloadGame
from .callback_query_answer import CallbackQueryAnswer
from .custom_request_result import CustomRequestResult
from .game_high_score import GameHighScore
from .game_high_scores import GameHighScores
from .chat_event_message_edited import ChatEventMessageEdited
from .chat_event_message_deleted import ChatEventMessageDeleted
from .chat_event_poll_stopped import ChatEventPollStopped
from .chat_event_message_pinned import ChatEventMessagePinned
from .chat_event_message_unpinned import ChatEventMessageUnpinned
from .chat_event_member_joined import ChatEventMemberJoined
from .chat_event_member_left import ChatEventMemberLeft
from .chat_event_member_invited import ChatEventMemberInvited
from .chat_event_member_promoted import ChatEventMemberPromoted
from .chat_event_member_restricted import ChatEventMemberRestricted
from .chat_event_title_changed import ChatEventTitleChanged
from .chat_event_permissions_changed import ChatEventPermissionsChanged
from .chat_event_description_changed import ChatEventDescriptionChanged
from .chat_event_username_changed import ChatEventUsernameChanged
from .chat_event_photo_changed import ChatEventPhotoChanged
from .chat_event_invites_toggled import ChatEventInvitesToggled
from .chat_event_linked_chat_changed import ChatEventLinkedChatChanged
from .chat_event_slow_mode_delay_changed import ChatEventSlowModeDelayChanged
from .chat_event_sign_messages_toggled import ChatEventSignMessagesToggled
from .chat_event_sticker_set_changed import ChatEventStickerSetChanged
from .chat_event_location_changed import ChatEventLocationChanged
from .chat_event_is_all_history_available_toggled import ChatEventIsAllHistoryAvailableToggled
from .chat_event import ChatEvent
from .chat_events import ChatEvents
from .chat_event_log_filters import ChatEventLogFilters
from .language_pack_string_value_ordinary import LanguagePackStringValueOrdinary
from .language_pack_string_value_pluralized import LanguagePackStringValuePluralized
from .language_pack_string_value_deleted import LanguagePackStringValueDeleted
from .language_pack_string import LanguagePackString
from .language_pack_strings import LanguagePackStrings
from .language_pack_info import LanguagePackInfo
from .localization_target_info import LocalizationTargetInfo
from .device_token_firebase_cloud_messaging import DeviceTokenFirebaseCloudMessaging
from .device_token_apple_push import DeviceTokenApplePush
from .device_token_apple_push_vo_ip import DeviceTokenApplePushVoIP
from .device_token_windows_push import DeviceTokenWindowsPush
from .device_token_microsoft_push import DeviceTokenMicrosoftPush
from .device_token_microsoft_push_vo_ip import DeviceTokenMicrosoftPushVoIP
from .device_token_web_push import DeviceTokenWebPush
from .device_token_simple_push import DeviceTokenSimplePush
from .device_token_ubuntu_push import DeviceTokenUbuntuPush
from .device_token_black_berry_push import DeviceTokenBlackBerryPush
from .device_token_tizen_push import DeviceTokenTizenPush
from .push_receiver_id import PushReceiverId
from .background_fill_solid import BackgroundFillSolid
from .background_fill_gradient import BackgroundFillGradient
from .background_type_wallpaper import BackgroundTypeWallpaper
from .background_type_pattern import BackgroundTypePattern
from .background_type_fill import BackgroundTypeFill
from .background import Background
from .backgrounds import Backgrounds
from .input_background_local import InputBackgroundLocal
from .input_background_remote import InputBackgroundRemote
from .hashtags import Hashtags
from .can_transfer_ownership_result_ok import CanTransferOwnershipResultOk
from .can_transfer_ownership_result_password_needed import CanTransferOwnershipResultPasswordNeeded
from .can_transfer_ownership_result_password_too_fresh import CanTransferOwnershipResultPasswordTooFresh
from .can_transfer_ownership_result_session_too_fresh import CanTransferOwnershipResultSessionTooFresh
from .check_chat_username_result_ok import CheckChatUsernameResultOk
from .check_chat_username_result_username_invalid import CheckChatUsernameResultUsernameInvalid
from .check_chat_username_result_username_occupied import CheckChatUsernameResultUsernameOccupied
from .check_chat_username_result_public_chats_too_much import CheckChatUsernameResultPublicChatsTooMuch
from .check_chat_username_result_public_groups_unavailable import CheckChatUsernameResultPublicGroupsUnavailable
from .push_message_content_hidden import PushMessageContentHidden
from .push_message_content_animation import PushMessageContentAnimation
from .push_message_content_audio import PushMessageContentAudio
from .push_message_content_contact import PushMessageContentContact
from .push_message_content_contact_registered import PushMessageContentContactRegistered
from .push_message_content_document import PushMessageContentDocument
from .push_message_content_game import PushMessageContentGame
from .push_message_content_game_score import PushMessageContentGameScore
from .push_message_content_invoice import PushMessageContentInvoice
from .push_message_content_location import PushMessageContentLocation
from .push_message_content_photo import PushMessageContentPhoto
from .push_message_content_poll import PushMessageContentPoll
from .push_message_content_screenshot_taken import PushMessageContentScreenshotTaken
from .push_message_content_sticker import PushMessageContentSticker
from .push_message_content_text import PushMessageContentText
from .push_message_content_video import PushMessageContentVideo
from .push_message_content_video_note import PushMessageContentVideoNote
from .push_message_content_voice_note import PushMessageContentVoiceNote
from .push_message_content_basic_group_chat_create import PushMessageContentBasicGroupChatCreate
from .push_message_content_chat_add_members import PushMessageContentChatAddMembers
from .push_message_content_chat_change_photo import PushMessageContentChatChangePhoto
from .push_message_content_chat_change_title import PushMessageContentChatChangeTitle
from .push_message_content_chat_delete_member import PushMessageContentChatDeleteMember
from .push_message_content_chat_join_by_link import PushMessageContentChatJoinByLink
from .push_message_content_message_forwards import PushMessageContentMessageForwards
from .push_message_content_media_album import PushMessageContentMediaAlbum
from .notification_type_new_message import NotificationTypeNewMessage
from .notification_type_new_secret_chat import NotificationTypeNewSecretChat
from .notification_type_new_call import NotificationTypeNewCall
from .notification_type_new_push_message import NotificationTypeNewPushMessage
from .notification_group_type_messages import NotificationGroupTypeMessages
from .notification_group_type_mentions import NotificationGroupTypeMentions
from .notification_group_type_secret_chat import NotificationGroupTypeSecretChat
from .notification_group_type_calls import NotificationGroupTypeCalls
from .notification import Notification
from .notification_group import NotificationGroup
from .option_value_boolean import OptionValueBoolean
from .option_value_empty import OptionValueEmpty
from .option_value_integer import OptionValueInteger
from .option_value_string import OptionValueString
from .json_object_member import JsonObjectMember
from .json_value_null import JsonValueNull
from .json_value_boolean import JsonValueBoolean
from .json_value_number import JsonValueNumber
from .json_value_string import JsonValueString
from .json_value_array import JsonValueArray
from .json_value_object import JsonValueObject
from .user_privacy_setting_rule_allow_all import UserPrivacySettingRuleAllowAll
from .user_privacy_setting_rule_allow_contacts import UserPrivacySettingRuleAllowContacts
from .user_privacy_setting_rule_allow_users import UserPrivacySettingRuleAllowUsers
from .user_privacy_setting_rule_allow_chat_members import UserPrivacySettingRuleAllowChatMembers
from .user_privacy_setting_rule_restrict_all import UserPrivacySettingRuleRestrictAll
from .user_privacy_setting_rule_restrict_contacts import UserPrivacySettingRuleRestrictContacts
from .user_privacy_setting_rule_restrict_users import UserPrivacySettingRuleRestrictUsers
from .user_privacy_setting_rule_restrict_chat_members import UserPrivacySettingRuleRestrictChatMembers
from .user_privacy_setting_rules import UserPrivacySettingRules
from .user_privacy_setting_show_status import UserPrivacySettingShowStatus
from .user_privacy_setting_show_profile_photo import UserPrivacySettingShowProfilePhoto
from .user_privacy_setting_show_link_in_forwarded_messages import UserPrivacySettingShowLinkInForwardedMessages
from .user_privacy_setting_show_phone_number import UserPrivacySettingShowPhoneNumber
from .user_privacy_setting_allow_chat_invites import UserPrivacySettingAllowChatInvites
from .user_privacy_setting_allow_calls import UserPrivacySettingAllowCalls
from .user_privacy_setting_allow_peer_to_peer_calls import UserPrivacySettingAllowPeerToPeerCalls
from .user_privacy_setting_allow_finding_by_phone_number import UserPrivacySettingAllowFindingByPhoneNumber
from .account_ttl import AccountTtl
from .session import Session
from .sessions import Sessions
from .connected_website import ConnectedWebsite
from .connected_websites import ConnectedWebsites
from .chat_report_reason_spam import ChatReportReasonSpam
from .chat_report_reason_violence import ChatReportReasonViolence
from .chat_report_reason_pornography import ChatReportReasonPornography
from .chat_report_reason_child_abuse import ChatReportReasonChildAbuse
from .chat_report_reason_copyright import ChatReportReasonCopyright
from .chat_report_reason_unrelated_location import ChatReportReasonUnrelatedLocation
from .chat_report_reason_custom import ChatReportReasonCustom
from .public_message_link import PublicMessageLink
from .message_link_info import MessageLinkInfo
from .file_part import FilePart
from .file_type_none import FileTypeNone
from .file_type_animation import FileTypeAnimation
from .file_type_audio import FileTypeAudio
from .file_type_document import FileTypeDocument
from .file_type_photo import FileTypePhoto
from .file_type_profile_photo import FileTypeProfilePhoto
from .file_type_secret import FileTypeSecret
from .file_type_secret_thumbnail import FileTypeSecretThumbnail
from .file_type_secure import FileTypeSecure
from .file_type_sticker import FileTypeSticker
from .file_type_thumbnail import FileTypeThumbnail
from .file_type_unknown import FileTypeUnknown
from .file_type_video import FileTypeVideo
from .file_type_video_note import FileTypeVideoNote
from .file_type_voice_note import FileTypeVoiceNote
from .file_type_wallpaper import FileTypeWallpaper
from .storage_statistics_by_file_type import StorageStatisticsByFileType
from .storage_statistics_by_chat import StorageStatisticsByChat
from .storage_statistics import StorageStatistics
from .storage_statistics_fast import StorageStatisticsFast
from .database_statistics import DatabaseStatistics
from .network_type_none import NetworkTypeNone
from .network_type_mobile import NetworkTypeMobile
from .network_type_mobile_roaming import NetworkTypeMobileRoaming
from .network_type_wi_fi import NetworkTypeWiFi
from .network_type_other import NetworkTypeOther
from .network_statistics_entry_file import NetworkStatisticsEntryFile
from .network_statistics_entry_call import NetworkStatisticsEntryCall
from .network_statistics import NetworkStatistics
from .auto_download_settings import AutoDownloadSettings
from .auto_download_settings_presets import AutoDownloadSettingsPresets
from .connection_state_waiting_for_network import ConnectionStateWaitingForNetwork
from .connection_state_connecting_to_proxy import ConnectionStateConnectingToProxy
from .connection_state_connecting import ConnectionStateConnecting
from .connection_state_updating import ConnectionStateUpdating
from .connection_state_ready import ConnectionStateReady
from .top_chat_category_users import TopChatCategoryUsers
from .top_chat_category_bots import TopChatCategoryBots
from .top_chat_category_groups import TopChatCategoryGroups
from .top_chat_category_channels import TopChatCategoryChannels
from .top_chat_category_inline_bots import TopChatCategoryInlineBots
from .top_chat_category_calls import TopChatCategoryCalls
from .top_chat_category_forward_chats import TopChatCategoryForwardChats
from .t_me_url_type_user import TMeUrlTypeUser
from .t_me_url_type_supergroup import TMeUrlTypeSupergroup
from .t_me_url_type_chat_invite import TMeUrlTypeChatInvite
from .t_me_url_type_sticker_set import TMeUrlTypeStickerSet
from .t_me_url import TMeUrl
from .t_me_urls import TMeUrls
from .count import Count
from .text import Text
from .seconds import Seconds
from .deep_link_info import DeepLinkInfo
from .text_parse_mode_markdown import TextParseModeMarkdown
from .text_parse_mode_html import TextParseModeHTML
from .proxy_type_socks5 import ProxyTypeSocks5
from .proxy_type_http import ProxyTypeHttp
from .proxy_type_mtproto import ProxyTypeMtproto
from .proxy import Proxy
from .proxies import Proxies
from .input_sticker_static import InputStickerStatic
from .input_sticker_animated import InputStickerAnimated
from .date_range import DateRange
from .statistics_value import StatisticsValue
from .statistics_graph_data import StatisticsGraphData
from .statistics_graph_async import StatisticsGraphAsync
from .statistics_graph_error import StatisticsGraphError
from .chat_statistics_message_interaction_counters import ChatStatisticsMessageInteractionCounters
from .chat_statistics import ChatStatistics
from .update_authorization_state import UpdateAuthorizationState
from .update_new_message import UpdateNewMessage
from .update_message_send_acknowledged import UpdateMessageSendAcknowledged
from .update_message_send_succeeded import UpdateMessageSendSucceeded
from .update_message_send_failed import UpdateMessageSendFailed
from .update_message_content import UpdateMessageContent
from .update_message_edited import UpdateMessageEdited
from .update_message_views import UpdateMessageViews
from .update_message_content_opened import UpdateMessageContentOpened
from .update_message_mention_read import UpdateMessageMentionRead
from .update_message_live_location_viewed import UpdateMessageLiveLocationViewed
from .update_new_chat import UpdateNewChat
from .update_chat_chat_list import UpdateChatChatList
from .update_chat_title import UpdateChatTitle
from .update_chat_photo import UpdateChatPhoto
from .update_chat_permissions import UpdateChatPermissions
from .update_chat_last_message import UpdateChatLastMessage
from .update_chat_order import UpdateChatOrder
from .update_chat_is_pinned import UpdateChatIsPinned
from .update_chat_is_marked_as_unread import UpdateChatIsMarkedAsUnread
from .update_chat_is_sponsored import UpdateChatIsSponsored
from .update_chat_has_scheduled_messages import UpdateChatHasScheduledMessages
from .update_chat_default_disable_notification import UpdateChatDefaultDisableNotification
from .update_chat_read_inbox import UpdateChatReadInbox
from .update_chat_read_outbox import UpdateChatReadOutbox
from .update_chat_unread_mention_count import UpdateChatUnreadMentionCount
from .update_chat_notification_settings import UpdateChatNotificationSettings
from .update_scope_notification_settings import UpdateScopeNotificationSettings
from .update_chat_action_bar import UpdateChatActionBar
from .update_chat_pinned_message import UpdateChatPinnedMessage
from .update_chat_reply_markup import UpdateChatReplyMarkup
from .update_chat_draft_message import UpdateChatDraftMessage
from .update_chat_online_member_count import UpdateChatOnlineMemberCount
from .update_notification import UpdateNotification
from .update_notification_group import UpdateNotificationGroup
from .update_active_notifications import UpdateActiveNotifications
from .update_have_pending_notifications import UpdateHavePendingNotifications
from .update_delete_messages import UpdateDeleteMessages
from .update_user_chat_action import UpdateUserChatAction
from .update_user_status import UpdateUserStatus
from .update_user import UpdateUser
from .update_basic_group import UpdateBasicGroup
from .update_supergroup import UpdateSupergroup
from .update_secret_chat import UpdateSecretChat
from .update_user_full_info import UpdateUserFullInfo
from .update_basic_group_full_info import UpdateBasicGroupFullInfo
from .update_supergroup_full_info import UpdateSupergroupFullInfo
from .update_service_notification import UpdateServiceNotification
from .update_file import UpdateFile
from .update_file_generation_start import UpdateFileGenerationStart
from .update_file_generation_stop import UpdateFileGenerationStop
from .update_call import UpdateCall
from .update_user_privacy_setting_rules import UpdateUserPrivacySettingRules
from .update_unread_message_count import UpdateUnreadMessageCount
from .update_unread_chat_count import UpdateUnreadChatCount
from .update_option import UpdateOption
from .update_installed_sticker_sets import UpdateInstalledStickerSets
from .update_trending_sticker_sets import UpdateTrendingStickerSets
from .update_recent_stickers import UpdateRecentStickers
from .update_favorite_stickers import UpdateFavoriteStickers
from .update_saved_animations import UpdateSavedAnimations
from .update_selected_background import UpdateSelectedBackground
from .update_language_pack_strings import UpdateLanguagePackStrings
from .update_connection_state import UpdateConnectionState
from .update_terms_of_service import UpdateTermsOfService
from .update_users_nearby import UpdateUsersNearby
from .update_new_inline_query import UpdateNewInlineQuery
from .update_new_chosen_inline_result import UpdateNewChosenInlineResult
from .update_new_callback_query import UpdateNewCallbackQuery
from .update_new_inline_callback_query import UpdateNewInlineCallbackQuery
from .update_new_shipping_query import UpdateNewShippingQuery
from .update_new_pre_checkout_query import UpdateNewPreCheckoutQuery
from .update_new_custom_event import UpdateNewCustomEvent
from .update_new_custom_query import UpdateNewCustomQuery
from .update_poll import UpdatePoll
from .update_poll_answer import UpdatePollAnswer
from .updates import Updates
from .log_stream_default import LogStreamDefault
from .log_stream_file import LogStreamFile
from .log_stream_empty import LogStreamEmpty
from .log_verbosity_level import LogVerbosityLevel
from .log_tags import LogTags
from .test_int import TestInt
from .test_string import TestString
from .test_bytes import TestBytes
from .test_vector_int import TestVectorInt
from .test_vector_int_object import TestVectorIntObject
from .test_vector_string import TestVectorString
from .test_vector_string_object import TestVectorStringObject
from .authentication_code_type import AuthenticationCodeType
from .authorization_state import AuthorizationState
from .input_file import InputFile
from .mask_point import MaskPoint
from .poll_type import PollType
from .user_type import UserType
from .chat_member_status import ChatMemberStatus
from .chat_members_filter import ChatMembersFilter
from .supergroup_members_filter import SupergroupMembersFilter
from .secret_chat_state import SecretChatState
from .message_forward_origin import MessageForwardOrigin
from .message_sending_state import MessageSendingState
from .notification_settings_scope import NotificationSettingsScope
from .chat_type import ChatType
from .chat_list import ChatList
from .public_chat_type import PublicChatType
from .chat_action_bar import ChatActionBar
from .keyboard_button_type import KeyboardButtonType
from .inline_keyboard_button_type import InlineKeyboardButtonType
from .reply_markup import ReplyMarkup
from .login_url_info import LoginUrlInfo
from .rich_text import RichText
from .page_block_horizontal_alignment import PageBlockHorizontalAlignment
from .page_block_vertical_alignment import PageBlockVerticalAlignment
from .page_block import PageBlock
from .input_credentials import InputCredentials
from .passport_element_type import PassportElementType
from .passport_element import PassportElement
from .input_passport_element import InputPassportElement
from .passport_element_error_source import PassportElementErrorSource
from .input_passport_element_error_source import InputPassportElementErrorSource
from .message_content import MessageContent
from .text_entity_type import TextEntityType
from .message_scheduling_state import MessageSchedulingState
from .input_message_content import InputMessageContent
from .search_messages_filter import SearchMessagesFilter
from .chat_action import ChatAction
from .user_status import UserStatus
from .call_discard_reason import CallDiscardReason
from .call_state import CallState
from .call_problem import CallProblem
from .input_inline_query_result import InputInlineQueryResult
from .inline_query_result import InlineQueryResult
from .callback_query_payload import CallbackQueryPayload
from .chat_event_action import ChatEventAction
from .language_pack_string_value import LanguagePackStringValue
from .device_token import DeviceToken
from .background_fill import BackgroundFill
from .background_type import BackgroundType
from .input_background import InputBackground
from .can_transfer_ownership_result import CanTransferOwnershipResult
from .check_chat_username_result import CheckChatUsernameResult
from .push_message_content import PushMessageContent
from .notification_type import NotificationType
from .notification_group_type import NotificationGroupType
from .option_value import OptionValue
from .json_value import JsonValue
from .user_privacy_setting_rule import UserPrivacySettingRule
from .user_privacy_setting import UserPrivacySetting
from .chat_report_reason import ChatReportReason
from .file_type import FileType
from .network_type import NetworkType
from .network_statistics_entry import NetworkStatisticsEntry
from .connection_state import ConnectionState
from .top_chat_category import TopChatCategory
from .t_me_url_type import TMeUrlType
from .text_parse_mode import TextParseMode
from .proxy_type import ProxyType
from .input_sticker import InputSticker
from .statistics_graph import StatisticsGraph
from .update import Update
from .log_stream import LogStream
